function CheckSubmitScore()
	System.OutputDebugString("Checking Submit Score\n");
	
	if(Profile.IsAchievementUnlocked(profile, ACH_SUBMIT_SCORE) == false) then
		if(PlayerState.SubmittedScore(stats)) then
			EntGame.AwardAchievement(ACH_SUBMIT_SCORE);
			return(true);
			end;
		end;
	end;


function DoAchWiFi()
	System.OutputDebugString("Checking WiFi achievements\n");
	
	profile = EntGame.GetProfile();
    stats	= EntGame.GetPlayerState(0);
	
	if(CheckSubmitScore()) then
		return(true);
		end;
		
	end;